List subscriptions

Query subscriptions by player and optionally filter by status. Returns all matching subscriptions for the specified external_account_id.

GET
/sdk/subscriptions

Authorization

Authorization<token>

Bearer token authentication for client-side SDK operations. Format: 'Authorization: Bearer '

In: header

Query Parameters

externalAccountId?string
status?string

Filter by status: "active", "past_due", "canceled", "expired"

Response Body

application/json

application/json

curl -X GET "https://example.com/sdk/subscriptions"
{  "subscriptions": [    {      "id": "string",      "externalAccountId": "string",      "planId": "string",      "status": "string",      "period": {        "value": 0,        "unit": "string"      },      "trialEnd": "2019-08-24T14:15:22Z",      "accessEndDate": "2019-08-24T14:15:22Z",      "currentPeriodEnd": "2019-08-24T14:15:22Z",      "nextBillingDate": "2019-08-24T14:15:22Z",      "cancelAtPeriodEnd": true,      "canceledAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "checkoutLinkMetadata": {        "property1": "string",        "property2": "string"      }    }  ]}

How is this guide?